Subject: bug#21707: include-file cleanup for src directory

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Oct 2015 18:06:00 +0300

> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Mon, 19 Oct 2015 22:54:39 -0700
> 
> Eli Zaretskii wrote:
> > I had compilation warnings and errors due to redisplaying_p and
> > cancel_hourglass not being declared in eval.c and lread.c.  These two
> > files need to include dispextern.h to avoid that problem.  (This isn't
> > Windows specific, so I wonder how it compiled for you.)
> 
> It's a problem with platform-specific inclusions: xterm.h includes dispextern.h, 
> but eval.c and lread.c don't include xterm.h on MS-Windows. I attempted to 
> detect this sort of thing by hand without actually building on MS-Windows, but 
> it's an easy thing to get wrong.

I see.  Would it help if we avoid including any of our headers in any
other of our headers, so that the headers included by a particular C
file are visible by just looking at that single C file?  At least then
any system dependencies will be explicitly stated in each C file.

> Revised patch attached.

Thanks, this works for me.